<?php
/**
 * KMQ Promotions Filter Hook Registration
 *
 * @package    Common
 * @subpackage Hooks
 */

namespace MOWCPS\Common\Hooks;

use MOWCPS\Common\Interfaces\Hookable_Interface;
use MOWCPS\Common\Constants\Plugin_Filters;
use MOWCPS\Common\Suppliers\Kmq as Kmq_Supplier;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Class Kmq
 *
 * Handles KMQ Promotions hook registration. No supplier-specific hooks required currently.
 */
class Kmq implements Hookable_Interface {

	/**
	 * Initialize the KMQ filter hooks
	 */
	public function __construct() {
		$this->register_hooks();
	}

	/**
	 * Register WordPress hooks
	 *
	 * @return void
	 */
	public function register_hooks() {
		add_filter( Plugin_Filters::FILTER_DATA_ALTERATION_FILTER, array( Kmq_Supplier::class, 'modify_categories' ), 10, 1 );
	}
}
